classification
Title: Add ability to change "-- more --" text in pager module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Gautam krishna.R, rhettinger, serhiy.storchaka, steven.daprano
Priority: normal Keywords:

Created on 2017-05-23 22:28 by Gautam krishna.R, last changed 2017-07-08 14:35 by Gautam krishna.R. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1774 closed Gautam krishna.R, 2017-05-23 22:58
Messages (7)
msg294290 - (view) Author: Gautam krishna.R (Gautam krishna.R) * Date: 2017-05-23 22:30
Need ability to change the text
msg294294 - (view) Author: Steven D'Aprano (steven.daprano) * (Python committer) Date: 2017-05-23 23:12
Can you please explain why you need to change the --more-- text in the pager?

I haven't been able to find any way to change the "--more--" prompt in the shell commands `less` and `more`, and remember that the pager will under some circumstances use one of those.
msg294327 - (view) Author: Gautam krishna.R (Gautam krishna.R) * Date: 2017-05-24 05:59
While i was working on one of my personal project i thought of using pager module for piping the output in the terminal, please see the issue:
https://github.com/gautamkrishnar/socli/issues/46

Adding ability to modify "-- more --" (statically specified text will allow us to change its value to something like "- Press enter to see more..." or any other value...
msg294580 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-05-27 05:32
pydoc.pager() is not a public API. This is an internal function of the pydoc module. The stdlib does not have a benefit from adding this feature.
msg294599 - (view) Author: Gautam krishna.R (Gautam krishna.R) * Date: 2017-05-27 16:17
Yes even if it was built for PyDoc why cant we can extend its functionality to make it work with others too, Without breaking its current functionality...
msg294601 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-05-27 16:45
My preference is to keep pydoc focused on its primary task.  

This proposal seems like "feature creep" and the benefit is of questionable importance.
msg297956 - (view) Author: Gautam krishna.R (Gautam krishna.R) * Date: 2017-07-08 14:35
Thank you! closing this due to inncativity..
History
Date User Action Args
2017-07-08 14:35:41Gautam krishna.Rsetstatus: open -> closed

messages: + msg297956
stage: resolved
2017-05-27 16:45:56rhettingersetnosy: + rhettinger
messages: + msg294601
2017-05-27 16:17:53Gautam krishna.Rsetmessages: + msg294599
2017-05-27 05:32:44serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg294580
2017-05-24 05:59:36Gautam krishna.Rsetmessages: + msg294327
2017-05-23 23:12:45steven.dapranosetnosy: + steven.daprano

messages: + msg294294
versions: + Python 3.7
2017-05-23 22:58:15Gautam krishna.Rsetpull_requests: + pull_request1857
2017-05-23 22:30:58Gautam krishna.Rsettype: enhancement
messages: + msg294290
components: + Library (Lib)
title: Add ability to change "-- more -- -> Add ability to change "-- more --" text in pager module
2017-05-23 22:28:32Gautam krishna.Rcreate